org.jbpm.compiler.xml.processes

## Class CompositeNodeHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.compiler.xml.processes.AbstractNodeHandler
    - - org.jbpm.compiler.xml.processes.CompositeNodeHandler

- All Implemented Interfaces:
    org.drools.core.xml.Handler
  Direct Known Subclasses:
    DynamicNodeHandler, ForEachNodeHandler

      public class CompositeNodeHandler
      extends AbstractNodeHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.compiler.xml.processes.AbstractNodeHandler

      `EOL`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeNodeHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `allowNesting()`
    `protected Node` | `createNode()`
    `Class<?>` | `generateNodeFor()`
    `protected Map<String,CompositeNode.NodeAndType>` | `getInPorts(CompositeNode compositeNode)`
    `protected String` | `getNodeName()`
    `protected Map<String,CompositeNode.NodeAndType>` | `getOutPorts(CompositeNode compositeNode)`
    `protected List<org.kie.api.definition.process.Connection>` | `getSubConnections(CompositeNode compositeNode)`
    `protected List<Node>` | `getSubNodes(CompositeNode compositeNode)`
    `protected void` | `writeAttributes(CompositeNode compositeNode, StringBuilder xmlDump, boolean includeMeta)`
    `void` | `writeNode(Node node, StringBuilder xmlDump, boolean includeMeta)`

    - ### Methods inherited from class org.jbpm.compiler.xml.processes.AbstractNodeHandler

      `containsMetaData, end, endNode, endNode, extractAction, handleAction, handleNode, initValidParents, initValidPeers, start, writeAction, writeActions, writeMetaData, writeNode, writeTimers`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### CompositeNodeHandler

          public CompositeNodeHandler()

  - ### Method Detail

    - #### createNode

          protected Node createNode()

      Specified by:
        `createNode` in class `AbstractNodeHandler`

    - #### generateNodeFor

          public Class<?> generateNodeFor()

    - #### allowNesting

          public boolean allowNesting()

      Specified by:
        `allowNesting` in interface `org.drools.core.xml.Handler`
      Overrides:
        `allowNesting` in class `org.drools.core.xml.BaseAbstractHandler`

    - #### getNodeName

          protected String getNodeName()

    - #### writeNode

          public void writeNode(Node node,
                                StringBuilder xmlDump,
                                boolean includeMeta)

      Specified by:
        `writeNode` in class `AbstractNodeHandler`

    - #### writeAttributes

          protected void writeAttributes(CompositeNode compositeNode,
                                         StringBuilder xmlDump,
                                         boolean includeMeta)

    - #### getSubNodes

          protected List<Node> getSubNodes(CompositeNode compositeNode)

    - #### getSubConnections

          protected List<org.kie.api.definition.process.Connection> getSubConnections(CompositeNode compositeNode)

    - #### getInPorts

          protected Map<String,CompositeNode.NodeAndType> getInPorts(CompositeNode compositeNode)

    - #### getOutPorts

          protected Map<String,CompositeNode.NodeAndType> getOutPorts(CompositeNode compositeNode)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.